Bug 116730 - kernel image and initrd-blah.img not installed so boot fails
kernel image and initrd-blah.img not installed so boot fails
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-02-24 13:58 EST by Nick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-24 23:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick 2004-02-24 13:58:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
If I copy all the files from the FC 2 test 1 disk 1 to a tree and burn
a bootable cd from them, it works fine just like the original CD.  If
however I run genhdlist on the tree first to recreate the hdlist and
hdlist2 files in the base directory and then burn the resulting linux
install will not boot.  You can install from the CD ok without
problems (it appears) but then you finally reboot and Grub comes up
and tries to boot into linux you get a File not found error because it
can't find vmlinuz.  I have connected to the installation using a
rescue disk and the /boot partition is missing lots of files vmlinuz
being only one.  The /boot partition contains:
grub lost+found
and the grub directory contains:
device.map grub.conf menu.lst splash.xpm.gz
from a normal installation I can see that the /boot partiton should
config-2.6.1-1.65  initrd-2.6.1-1.65.img  System.map-2.6.1-1.65
all of which are missing.  This is obviously the reason for the failed
boot but why does regenerating the hdlist files cause this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Copy disk 1 source to hard disk
2.run genhdlist on the rpms
3.mkisofs the disk in the normal way then install
4.I selected custom install and unticked all packages so that it
installs from just disk 1

Actual Results:  Installation proceeds normally but when go to boot
your newly installed system it won't because grub cant find vmlinuz

Expected Results:  Should have installed just like if I hadn't
regenerated hdlist hdlist2

Additional info:
Comment 1 Jeremy Katz 2004-02-24 23:16:39 EST
Regenerating your hdlist is probably leaving packages out for whatever
reason...  it's hard to say without looking at exactly what you've
done and that's just not something I have time to support.  You're
welcome to mail anaconda-devel-list@redhat.com (after subscribing) and
people there might walk through with you to track down what went wrong.
Comment 2 Nick 2004-02-25 05:28:08 EST
I have emailed the anaconda list but I can't see how this can't be a
bug.  I am installing from just disk 1 which means all the RPMS must
be on disk 1 which means that genhdlist should produce all the correct
information for the RPMS on disk 1, allowing a normal install.

Note You need to log in before you can comment on or make changes to this bug.